org.apache.lucene.queryparser.flexible.standard.nodes

## Class LegacyNumericRangeQueryNode

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl
  - - org.apache.lucene.queryparser.flexible.standard.nodes.AbstractRangeQueryNode<LegacyNumericQueryNode>
    - - org.apache.lucene.queryparser.flexible.standard.nodes.LegacyNumericRangeQueryNode

- All Implemented Interfaces:
    Cloneable, FieldableNode, QueryNode, RangeQueryNode<FieldValuePairQueryNode<?>>

  Deprecated.
  Index with Points instead and use `PointRangeQueryNode` instead.

      @Deprecated
      public class LegacyNumericRangeQueryNode
      extends AbstractRangeQueryNode<LegacyNumericQueryNode>

  This query node represents a range query composed by `LegacyNumericQueryNode` bounds, which means the bound values are `Number`s.
  See Also:
    `LegacyNumericQueryNode`, `AbstractRangeQueryNode`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `LegacyNumericConfig` | `numericConfig` Deprecated.

    - ### Fields inherited from class org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl

      `PLAINTEXT_FIELD_NAME, toQueryStringIgnoreFields`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LegacyNumericRangeQueryNode(LegacyNumericQueryNode lower, LegacyNumericQueryNode upper, boolean lowerInclusive, boolean upperInclusive, LegacyNumericConfig numericConfig)` Deprecated. Constructs a `LegacyNumericRangeQueryNode` object using the given `LegacyNumericQueryNode` as its bounds and `LegacyNumericConfig`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `LegacyNumericConfig` | `getNumericConfig()` Deprecated. Returns the `LegacyNumericConfig` associated with the lower and upper bounds.
    `void` | `setBounds(LegacyNumericQueryNode lower, LegacyNumericQueryNode upper, boolean lowerInclusive, boolean upperInclusive, LegacyNumericConfig numericConfig)` Deprecated. Sets the upper and lower bounds of this range query node and the `LegacyNumericConfig` associated with these bounds.
    `String` | `toString()` Deprecated. Every implementation of this class should return pseudo xml like this: For FieldQueryNode: <field start='1' end='2' field='subject' text='foo'/>

    - ### Methods inherited from class org.apache.lucene.queryparser.flexible.standard.nodes.AbstractRangeQueryNode

      `getField, getLowerBound, getUpperBound, isLowerInclusive, isUpperInclusive, setBounds, setField, toQueryString`

    - ### Methods inherited from class org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl

      `add, add, allocate, clone, cloneTree, containsTag, getChildren, getParent, getTag, getTagMap, isDefaultField, isLeaf, isRoot, removeChildren, removeFromParent, set, setLeaf, setTag, unsetTag`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.lucene.queryparser.flexible.core.nodes.QueryNode

      `add, add, cloneTree, containsTag, getChildren, getParent, getTag, getTagMap, isLeaf, removeChildren, removeFromParent, set, setTag, unsetTag`

- - ### Field Detail

    - #### numericConfig

          public LegacyNumericConfig numericConfig

      Deprecated.

  - ### Constructor Detail

    - #### LegacyNumericRangeQueryNode

          public LegacyNumericRangeQueryNode(LegacyNumericQueryNode lower,
                                             LegacyNumericQueryNode upper,
                                             boolean lowerInclusive,
                                             boolean upperInclusive,
                                             LegacyNumericConfig numericConfig)
                                      throws QueryNodeException

      Deprecated.
      Constructs a `LegacyNumericRangeQueryNode` object using the given `LegacyNumericQueryNode` as its bounds and `LegacyNumericConfig`.
      Parameters:
        `lower` - the lower bound
        `upper` - the upper bound
        `lowerInclusive` - `true` if the lower bound is inclusive, otherwise, `false`
        `upperInclusive` - `true` if the upper bound is inclusive, otherwise, `false`
        `numericConfig` - the `LegacyNumericConfig` that represents associated with the upper and lower bounds
      Throws:
        `QueryNodeException`
      See Also:
        `setBounds(LegacyNumericQueryNode, LegacyNumericQueryNode, boolean, boolean, LegacyNumericConfig)`

  - ### Method Detail

    - #### setBounds

          public void setBounds(LegacyNumericQueryNode lower,
                                LegacyNumericQueryNode upper,
                                boolean lowerInclusive,
                                boolean upperInclusive,
                                LegacyNumericConfig numericConfig)
                         throws QueryNodeException

      Deprecated.
      Sets the upper and lower bounds of this range query node and the `LegacyNumericConfig` associated with these bounds.
      Parameters:
        `lower` - the lower bound
        `upper` - the upper bound
        `lowerInclusive` - `true` if the lower bound is inclusive, otherwise, `false`
        `upperInclusive` - `true` if the upper bound is inclusive, otherwise, `false`
        `numericConfig` - the `LegacyNumericConfig` that represents associated with the upper and lower bounds
      Throws:
        `QueryNodeException`

    - #### getNumericConfig

          public LegacyNumericConfig getNumericConfig()

      Deprecated.
      Returns the `LegacyNumericConfig` associated with the lower and upper bounds.
      Returns:
        the `LegacyNumericConfig` associated with the lower and upper bounds

    - #### toString

          public String toString()

      Deprecated.
      Description copied from class: `QueryNodeImpl`
      Every implementation of this class should return pseudo xml like this: For FieldQueryNode: <field start='1' end='2' field='subject' text='foo'/>
      Specified by:
        `toString` in interface `QueryNode`
      Overrides:
        `toString` in class `AbstractRangeQueryNode<LegacyNumericQueryNode>`
      See Also:
        `QueryNode.toString()`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.